#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-code-range-plugin
version:              1.1.0.0
visibility:           public
id:                   hls-code-range-plugin-1.1.0.0-F5XY6CVQgcsEVQiX9X3zvI
key:                  hls-code-range-plugin-1.1.0.0-F5XY6CVQgcsEVQiX9X3zvI
license:              Apache-2.0
maintainer:           kokobd
author:               kokobd
synopsis:
    HLS Plugin to support smart selection range and Folding range

description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  41a8e1579660016d4012085faa7d1f59
exposed:              True
exposed-modules:      Ide.Plugin.CodeRange Ide.Plugin.CodeRange.Rules
hidden-modules:       Ide.Plugin.CodeRange.ASTPreProcess
import-dirs:          /usr/lib/ghc-9.2.8/site-local/hls-code-range-plugin-1.1.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hls-code-range-plugin-1.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-code-range-plugin
hs-libraries:         HShls-code-range-plugin-1.1.0.0-F5XY6CVQgcsEVQiX9X3zvI
depends:
    aeson-2.1.2.1-5xA96pEAe1OF80YjsNpBtK base-4.16.4.0
    containers-0.6.5.1 deepseq-1.4.6.1
    extra-1.7.16-2mdugPLlpsLFCymFYwYPi2
    ghcide-1.10.0.0-IK0p0knsZKJ6ifDWycSJqV
    hashable-1.4.4.0-CxCIesSa4aLFiFeBLAsQal
    hls-plugin-api-1.6.0.0-AWK1aZFAUysD3mmtii36PC
    lens-5.2.3-Ip76jddesOj5vmVbK7jYXC
    lsp-1.6.0.0-2t8x0RCtMfUJVfdZdVq4q7 mtl-2.2.2
    semigroupoids-5.3.7-YZqDCFnBzWKcn2m5f1QP8 text-1.2.5.0
    transformers-0.5.6.2 vector-0.13.1.0-HRMJcTNtHmH9PMIsGjP73X

haddock-interfaces:
    /usr/share/doc/haskell-hls-code-range-plugin/html/hls-code-range-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-code-range-plugin/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

